<?php
namespace Mirasvit\Report\Ui\ReportDataProvider;

/**
 * Interceptor class for @see \Mirasvit\Report\Ui\ReportDataProvider
 */
class Interceptor extends \Mirasvit\Report\Ui\ReportDataProvider implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\Report\Api\Repository\ReportRepositoryInterface $reportRepository, \Mirasvit\ReportApi\Api\Service\ColumnServiceInterface $columnService, \Mirasvit\Report\Service\StateService $stateService, \Magento\Framework\Registry $registry, \Magento\Framework\Serialize\Serializer\Json $serializer, \Magento\Backend\Block\Template\Context $context)
    {
        $this->___init();
        parent::__construct($reportRepository, $columnService, $stateService, $registry, $serializer, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
